This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1260408 - No TLS1.1 or TLS1.2 support in pycurl
No TLS1.1 or TLS1.2 support in pycurl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-pycurl (Show other bugs)
23
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
: EasyFix, FutureFeature, Patch, Reproducer
Depends On:
Blocks: 1260407
  Show dependency treegraph
 
Reported: 2015-09-06 09:52 EDT by Filip Krska
Modified: 2015-10-03 17:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: 7.19.5.1-3.fc23 python-pycurl-7.19.5.1-2.fc22 python-pycurl-7.19.3.1-6.fc21
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1260407
Environment:
Last Closed: 2015-09-21 06:50:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Krska 2015-09-06 09:52:18 EDT
python-pycurl-7.19.5.1-2 doesn't support the TLS1.1 and TLS1.2 options as well

+++ This bug was initially created as a clone of Bug #1260407 +++

RHEL 7 version doesn't support the TLS1.1 and TLS1.2 options as well

+++ This bug was initially created as a clone of Bug #1260406 +++

Description of problem:

pycurl doesn't support the TLS1.1 and TLS1.2 options introduced in curl-7.19.7-43

Version-Release number of selected component (if applicable):

python-pycurl-7.19.0-8.el6

How reproducible:

always

Steps to Reproduce:
1. create test script:

# cat /tmp/pycurl_TLS.py
import pycurl
from StringIO import StringIO

buffer = StringIO()

c=pycurl.Curl()
c.setopt(c.URL, "https://www.redhat.com")
c.setopt(c.SSLVERSION, c.SSLVERSION_TLSv1_2)


c.perform()
c.close()

body = buffer.getvalue()
print(body)

2.

# python /tmp/pycurl_TLS.py


Actual results:

Traceback (most recent call last):
  File "/tmp/pycurl_TLS.py", line 9, in <module>
    c.setopt(c.SSLVERSION, c.SSLVERSION_TLSv1_2)
AttributeError: SSLVERSION_TLSv1_2


Expected results:

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
...

Additional info:

Easyfix patch attached.

needed to propagate to upstream
Comment 1 Kamil Dudka 2015-09-07 04:27:02 EDT
upstream commit:

https://github.com/pycurl/pycurl/commit/83ccaa22
Comment 2 Kamil Dudka 2015-09-07 06:53:47 EDT
fixed in python-pycurl-7.19.5.1-3.fc24
Comment 3 Fedora Update System 2015-09-07 07:19:40 EDT
python-pycurl-7.19.5.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15260
Comment 4 Fedora Update System 2015-09-07 07:19:41 EDT
python-pycurl-7.19.3.1-6.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15261
Comment 5 Fedora Update System 2015-09-07 07:19:45 EDT
python-pycurl-7.19.5.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15262
Comment 6 Fedora Update System 2015-09-07 14:19:26 EDT
python-pycurl-7.19.5.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-pycurl'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15260
Comment 7 Fedora Update System 2015-09-07 14:20:26 EDT
python-pycurl-7.19.5.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-pycurl'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15262
Comment 8 Fedora Update System 2015-09-07 19:50:35 EDT
python-pycurl-7.19.3.1-6.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-pycurl'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15261
Comment 9 Fedora Update System 2015-09-21 06:50:28 EDT
python-pycurl-7.19.5.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-10-01 14:51:34 EDT
python-pycurl-7.19.5.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-10-03 17:53:24 EDT
python-pycurl-7.19.3.1-6.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.